Subject: Re: cygcheck
From: "George Hester" <[email-masked]>
To: [email-masked]
Date: Sun, 29 Feb 2004 04:33:41 -0500

Sorry about that.  Tell me if this is better.
Yes I could tell Cygwin under cygcheck -s was retrieving more information
then was in the download.  I did have it set to full.
So I don't know what more I could have gotten.
The result was as I showed.  So you think some of the items
I mentioned as Not Found should have been found choosing Full
in the Setup?  Hmmm....

-- 
George Hester
__________________________________
"Igor Pechtchanski" <[email-masked]> wrote in message news:[email-masked]...
> George,
> 
> Please instruct your mailer to wrap long lines, otherwise it's very hard
> to read the messages in the archives.  Thanks.  More below.
> 
> On Sat, 28 Feb 2004, George Hester wrote:
> 
> > I've installed the latest cygwin.  That seemed to go OK in Windows 2000
> > Server SP3.
> >
> > I started cygwin from the desktop icon made during the install process.
> >
> > I ran cygcheck -s
> >
> > I find there are a few things "not found."
> >
> > 1) cpp (good!)
> > 2) gcc
> > 3) gdb
> > 4) ld
> >
> > What are these?  Why is cpp "Not found" "(good)"?  What does that mean?
> >
> > I downloaded and installed all the options so why are some things "Not
> > found"?  Can I "find" them somewhere?  Should I "find" them?  Thanks.
> 
> The cygcheck program in its "-s" mode (system information) was designed to
> cram as much useful information about your Cygwin installation as possible
> into its output, to help others in diagnosing and/or reproducing your
> problems (and, hopefully, eventually fixing them).
> 
> The "installed programs" part of the output attempts to list some common
> programs that people usually ask about.  This helps in situations where
> some other version of gcc hides the Cygwin version, for example, and
> people complain that gcc doesn't work.  The fact that the programs are or
> aren't found on your system shouldn't bother you unless you need to use
> one of them.  All four of the programs that you listed are development
> tools to let you build and debug programs.
> 
> Frankly, I have no idea why "cpp not found" is "(good!)".  Perhaps it used
> to be that the gcc package hid cpp in its special directory, and you
> weren't supposed to invoke it directly, but rather by passing an option to
> gcc.  AFAICS, the current package ships with that program, so perhaps that
> note is outdated and should be removed.
> 
> Since these programs are in the official Cygwin packages, you, apparently,
> haven't installed everything (which is what I read your "all the options"
> to mean).  If you want to see exactly what you've installed and what's
> available, run setup.exe and switch the view to "Full" (using the button
> on the top right of the package selection page).  You will see information
> about all the packages in the distribution.  I can't really tell you more
> about your system, since you haven't attached the output of "cygcheck
> -svr" as requested in <http://cygwin.com/problems.html>.
> 
> As for whether you *should* "find" them, that's entirely up to you.  If
> you don't know what "gcc" is, likely you won't need it.  If you install a
> package that requires it, hopefully that package will either pull it in or
> complain the first time it tries to use it, at which point you'll know you
> need to install it (and will be able to find it on the Cygwin package
> search page at <http://cygwin.com/packages/>).  Until then, don't bother.
> 
> HTH,
> Igor
> -- 
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/